// genesis

// eval.g - functions to evaluate the fitness of the model

function evaluate
    float match, fitness

    // first run the simulation
    newsim {getfield /params[0] value} \
	   {getfield /params[1] value} \
	   {getfield /params[2] value} \
	   {getfield /params[3] value}
    runfI
    call /out/{sim_output_file} FLUSH

    // then determine the simulated spike times
    gen2spk {sim_output_file} {delay} {current_duration} {total_duration}

    // then compare the simulated spike times with the experimental data
    match = {spkcmp {real_spk_file} {sim_spk_file} \
	     -pow1 0.4 -pow2 0.6 -msp 0.5 -nmp 200.0}

    fitness = 1.0 / {sqrt {match}}
    return {fitness}
end
