// genesis
//
// generation.g
//

// subordinate files
include farm.g			// support for task farming


function search(generations, population)
    int   generations, population
    int   i, chosen
    int	  bs_a, bs_b, bs_c, bs_d
    float a, b, c, d

    init_search
    init_farm

    echo
    echo "   Fitness of individuals as they are evaluated:"
    echo "       (* indicates that this individual was added to the population)"
    echo

    for (i = 0; i < generations; i = i + 1)
	// pick random individual from population
	chosen = {rand 0 population}
	if (chosen >= actual_population)
	    // pick a random bit string
	    bs_a = {rand 0 65536}
	    bs_b = {rand 0 65536}
	    bs_c = {rand 0 65536}
	    bs_d = {rand 0 65536}
	else
	    // mutate an existing bit string
	    bs_a = {mutate {getfield /population[{chosen}] a_value}}
	    bs_b = {mutate {getfield /population[{chosen}] b_value}}
	    bs_c = {mutate {getfield /population[{chosen}] c_value}}
	    bs_d = {mutate {getfield /population[{chosen}] d_value}}
	end
	// assign this task to a worker
	delegate_task {i} {bs_a} {bs_b} {bs_c} {bs_d}
    end 

    finish
    echo
    echo "Finished search at " {getdate}

    bs_a = {getfield /population[{most_fit}] a_value}
    bs_b = {getfield /population[{most_fit}] b_value}
    bs_c = {getfield /population[{most_fit}] c_value}
    bs_d = {getfield /population[{most_fit}] d_value}
    a = (bs_a - 32768.0) / 1000.0;
    b = (bs_b - 32768.0) / 1000.0;
    c = (bs_c - 32768.0) / 1000.0;
    d = (bs_d - 32768.0) / 1000.0;
    echo "Best match was with a = " {a} ", b = " {b} ", c = " {c} ", d = " {d}
    echo "which had a fitness of " {max_fitness}
end
